> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/global-event-rules-rulesets.md).

# Global Event Rules/Rulesets

## Create Ruleset

> Create a GER Ruleset.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules/Rulesets"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.RulesetResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}]},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.GlobalEventRules.CreateRulesetRequest":{"type":"object","required":["alert_source_shortname","alert_source_version"],"properties":{"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"}}}}},"paths":{"/v3/global-event-rules/{ger_id}/rulesets":{"post":{"operationId":"GlobalEventRules_createRuleset","summary":"Create Ruleset","description":"Create a GER Ruleset.","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.RulesetResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules/Rulesets"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.GlobalEventRules.CreateRulesetRequest"}}}}}}}}
```

## Get Ruleset

> Get a GER Ruleset

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules/Rulesets"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.RulesetResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}]},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/global-event-rules/{ger_id}/rulesets/{alert_source_version}/{alert_source_shortname}":{"get":{"operationId":"GlobalEventRules_getRuleset","summary":"Get Ruleset","description":"Get a GER Ruleset","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"alert_source_version","in":"path","required":true,"schema":{"type":"string"}},{"name":"alert_source_shortname","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.RulesetResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules/Rulesets"]}}}}
```

## Delete GER Ruleset

> Delete a GER Ruleset

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules/Rulesets"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/global-event-rules/{ger_id}/rulesets/{alert_source_version}/{alert_source_shortname}":{"delete":{"operationId":"GlobalEventRules_deleteGerRuleset","summary":"Delete GER Ruleset","description":"Delete a GER Ruleset","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"alert_source_version","in":"path","required":true,"schema":{"type":"string"}},{"name":"alert_source_shortname","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules/Rulesets"]}}}}
```

## Update Ruleset

> Update a GER Ruleset

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules/Rulesets"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.RulesetResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}]},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.GlobalEventRules.UpdateRulesetRequest":{"type":"object","properties":{"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleActionUpdate"}}},"V3.GlobalEventRules.RuleActionUpdate":{"type":"object","properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}}}},"paths":{"/v3/global-event-rules/{ger_id}/rulesets/{alert_source_version}/{alert_source_shortname}":{"patch":{"operationId":"GlobalEventRules_updateRuleset","summary":"Update Ruleset","description":"Update a GER Ruleset","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"alert_source_version","in":"path","required":true,"schema":{"type":"string"}},{"name":"alert_source_shortname","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.RulesetResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules/Rulesets"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.GlobalEventRules.UpdateRulesetRequest"}}}}}}}}
```

## Reorder Ruleset

> Reorder rules of a GER Ruleset

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules/Rulesets"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.OrderingResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.Ordering"}]},"V3.GlobalEventRules.Ordering":{"type":"object","required":["ordering"],"properties":{"ordering":{"type":"array","items":{"type":"integer"}}}},"V3.GlobalEventRules.ReorderRulesetRequest":{"type":"object","properties":{"ordering":{"type":"array","items":{"type":"integer"}}}}}},"paths":{"/v3/global-event-rules/{ger_id}/rulesets/{alert_source_version}/{alert_source_shortname}/priority":{"patch":{"operationId":"GlobalEventRules_reorderRuleset","summary":"Reorder Ruleset","description":"Reorder rules of a GER Ruleset","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"alert_source_version","in":"path","required":true,"schema":{"type":"string"}},{"name":"alert_source_shortname","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.OrderingResponse"}}}}}}},"tags":["Global Event Rules/Rulesets"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.GlobalEventRules.ReorderRulesetRequest"}}}}}}}}
```
